Get Template Based Notification Types

get

/rest/apis/customer/c1Admin/templateBasedNotifTypes/

This operation retrieves subscription information and individual push template-based notification types.

Request

There are no request parameters for this operation.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success response
Body ()
Root Schema : C1ReTmpNtfTy
Type: object
Show Source
Nested Schema : notificationTypes
Type: object
Show Source
Nested Schema : notificationType
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : deliveryTypes
Type: object
Show Source
Nested Schema : descriptions
Type: object
Show Source
Nested Schema : parentNotificationType
Type: object
Show Source
  • Allowed Values: [ "C1NO", "C1YS" ]
    For push notification, this indicates if its parent notification type allows user to opt-out from receiving notifications of that type. * `C1NO` - No, * `C1YS` - Yes
    Example: C1YS
  • descriptions
  • Maximum Length: 30
    For individual push notification types, this is the parent type. Preferences are set for the parent type and are used when creating individual push notifications.
    Example: SERVICE-NOTICES
Nested Schema : deliveryType
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Allowed Values: [ "EMAI", "FAX ", "IVR ", "SMS " ]
    Delivery Type is the type of delivery by which the notification will be sent to the Person Contact. * `EMAI` - Email, * `FAX ` - Fax, * `IVR ` - IVR, * `SMS ` - SMS
    Example: EMAI
  • This indicates if a notification can be sent without an active preference and without an opt-out preference.
    Example: true
  • templateNames
Nested Schema : templateNames
Type: object
Show Source
Nested Schema : templateName
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 3
    Language is the language used by the Person who will be receiving the notification. This is used to retrieve the correct template of the notification to be sent.
    Example: ENG
  • Maximum Length: 254
    This is a reference to a value stored in an external system used to send a communication by merging template data with static information.
    Example: BILL_DUE_SUB_EMAIL
Nested Schema : description
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 100
    Description
  • Maximum Length: 3
    Language is the language used by the Person who will be receiving the notification. This is used to retrieve the correct template of the notification to be sent.
    Example: ENG
Nested Schema : descriptions
Type: object
Show Source
Nested Schema : description
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 100
    Description
  • Maximum Length: 3
    Language is the language used by the Person who will be receiving the notification. This is used to retrieve the correct template of the notification to be sent.
    Example: ENG

400 Response

Bad Request
Body ()
Root Schema : problemDetailDocument
Type: object
Show Source
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 9999
    The HTTP Status code for the error.
  • Maximum Length: 60
    Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction.
  • Maximum Length: 60
    URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework.
  • serverMessage
  • Maximum Length: 60
    The stack trace shows where the error occurs during the execution of a program.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type: object
Show Source
  • Maximum Length: 60
    Delimited sequence of programs called.
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 0
    Message Category within Oracle Utilities Application Framework.
  • Minimum Value: -99999
    Maximum Value: 99999
    Message Number within Oracle Utilities Application Framework.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
  • Maximum Length: 60
    Name of the program that encountered the error.

500 Response

Internal Server Error
Body ()
Root Schema : problemDetailDocument
Type: object
Show Source
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 9999
    The HTTP Status code for the error.
  • Maximum Length: 60
    Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction.
  • Maximum Length: 60
    URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework.
  • serverMessage
  • Maximum Length: 60
    The stack trace shows where the error occurs during the execution of a program.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type: object
Show Source
  • Maximum Length: 60
    Delimited sequence of programs called.
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 0
    Message Category within Oracle Utilities Application Framework.
  • Minimum Value: -99999
    Maximum Value: 99999
    Message Number within Oracle Utilities Application Framework.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
  • Maximum Length: 60
    Name of the program that encountered the error.
Back to Top